#############################################################################
# Makefile for building: ../bin/ccamview
# Generated by qmake (2.01a) (Qt 4.5.3) on: sam. mai 22 13:14:20 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -w $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -w $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I../src -Imoc -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQt3Support -lQtSql -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		CMoteurCCAM_Base.cpp \
		CSaopInterface.cpp \
		CPrinter.cpp \
		C_Dlg_Categories.cpp \
		C_Dlg_ChangeMAJCCAM.cpp \
		C_Dlg_login.cpp \
		C_Dlg_MyAlertBox.cpp \
		C_Dlg_PatientActeProperty.cpp \
		C_Dlg_Praticiens.cpp \
		C_Dlg_Print.cpp \
		C_Dlg_SigemsLogin.cpp \
		C_Dlg_FeuillePrincipale.cpp \
		CMaskedLineEdit.cpp \
		CGestIni.cpp \
		C_Dlg4_About.cpp moc/moc_CPrinter.cpp \
		moc/moc_CMaskedLineEdit.cpp \
		moc/moc_C_Dlg_Categories.cpp \
		moc/moc_C_Dlg_ChangeMAJCCAM.cpp \
		moc/moc_C_Dlg_login.cpp \
		moc/moc_C_Dlg_MyAlertBox.cpp \
		moc/moc_C_Dlg_PatientActeProperty.cpp \
		moc/moc_C_Dlg_Praticiens.cpp \
		moc/moc_C_Dlg_Print.cpp \
		moc/moc_C_Dlg_SigemsLogin.cpp \
		moc/moc_C_Dlg_FeuillePrincipale.cpp \
		moc/moc_C_Dlg4_About.cpp \
		FeuillePrincipale.cpp \
		Dlg_SigemsLogin.cpp \
		Dlg_login.cpp \
		Dlg_Praticiens.cpp \
		Dlg_PatientActeProperty.cpp \
		Dlg_Categories.cpp \
		DlgPrint.cpp \
		Dlg_MyAlertBox.cpp \
		Dlg_ChargeMAJCCAM.cpp \
		moc/moc_FeuillePrincipale.cpp \
		moc/moc_Dlg_SigemsLogin.cpp \
		moc/moc_Dlg_login.cpp \
		moc/moc_Dlg_Praticiens.cpp \
		moc/moc_Dlg_PatientActeProperty.cpp \
		moc/moc_Dlg_Categories.cpp \
		moc/moc_DlgPrint.cpp \
		moc/moc_Dlg_MyAlertBox.cpp \
		moc/moc_Dlg_ChargeMAJCCAM.cpp
OBJECTS       = obj/main.o \
		obj/CMoteurCCAM_Base.o \
		obj/CSaopInterface.o \
		obj/CPrinter.o \
		obj/C_Dlg_Categories.o \
		obj/C_Dlg_ChangeMAJCCAM.o \
		obj/C_Dlg_login.o \
		obj/C_Dlg_MyAlertBox.o \
		obj/C_Dlg_PatientActeProperty.o \
		obj/C_Dlg_Praticiens.o \
		obj/C_Dlg_Print.o \
		obj/C_Dlg_SigemsLogin.o \
		obj/C_Dlg_FeuillePrincipale.o \
		obj/CMaskedLineEdit.o \
		obj/CGestIni.o \
		obj/C_Dlg4_About.o \
		obj/moc_CPrinter.o \
		obj/moc_CMaskedLineEdit.o \
		obj/moc_C_Dlg_Categories.o \
		obj/moc_C_Dlg_ChangeMAJCCAM.o \
		obj/moc_C_Dlg_login.o \
		obj/moc_C_Dlg_MyAlertBox.o \
		obj/moc_C_Dlg_PatientActeProperty.o \
		obj/moc_C_Dlg_Praticiens.o \
		obj/moc_C_Dlg_Print.o \
		obj/moc_C_Dlg_SigemsLogin.o \
		obj/moc_C_Dlg_FeuillePrincipale.o \
		obj/moc_C_Dlg4_About.o \
		obj/FeuillePrincipale.o \
		obj/Dlg_SigemsLogin.o \
		obj/Dlg_login.o \
		obj/Dlg_Praticiens.o \
		obj/Dlg_PatientActeProperty.o \
		obj/Dlg_Categories.o \
		obj/DlgPrint.o \
		obj/Dlg_MyAlertBox.o \
		obj/Dlg_ChargeMAJCCAM.o \
		obj/moc_FeuillePrincipale.o \
		obj/moc_Dlg_SigemsLogin.o \
		obj/moc_Dlg_login.o \
		obj/moc_Dlg_Praticiens.o \
		obj/moc_Dlg_PatientActeProperty.o \
		obj/moc_Dlg_Categories.o \
		obj/moc_DlgPrint.o \
		obj/moc_Dlg_MyAlertBox.o \
		obj/moc_Dlg_ChargeMAJCCAM.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_off.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = ccamview
DESTDIR       = ../bin/
TARGET        = ../bin/ccamview

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_C_Dlg4_About.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_off.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQt3Support.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_off.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQt3Support.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/ccamview1.0.0 || $(MKDIR) obj/ccamview1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/ccamview1.0.0/ && $(COPY_FILE) --parents CMoteurCCAM_Base.h CSoapInterface.h CPrinter.h CMaskedLineEdit.h CGestIni.h Global.h C_Dlg_Categories.h C_Dlg_ChangeMAJCCAM.h C_Dlg_login.h C_Dlg_MyAlertBox.h C_Dlg_PatientActeProperty.h C_Dlg_Praticiens.h C_Dlg_Print.h C_Dlg_SigemsLogin.h C_Dlg_FeuillePrincipale.h C_Dlg4_About.h obj/ccamview1.0.0/ && $(COPY_FILE) --parents main.cpp CMoteurCCAM_Base.cpp CSaopInterface.cpp CPrinter.cpp C_Dlg_Categories.cpp C_Dlg_ChangeMAJCCAM.cpp C_Dlg_login.cpp C_Dlg_MyAlertBox.cpp C_Dlg_PatientActeProperty.cpp C_Dlg_Praticiens.cpp C_Dlg_Print.cpp C_Dlg_SigemsLogin.cpp C_Dlg_FeuillePrincipale.cpp CMaskedLineEdit.cpp CGestIni.cpp C_Dlg4_About.cpp obj/ccamview1.0.0/ && $(COPY_FILE) --parents C_Dlg4_About.ui obj/ccamview1.0.0/ && $(COPY_FILE) --parents FeuillePrincipale.ui Dlg_SigemsLogin.ui Dlg_login.ui Dlg_Praticiens.ui Dlg_PatientActeProperty.ui Dlg_Categories.ui DlgPrint.ui Dlg_MyAlertBox.ui Dlg_ChargeMAJCCAM.ui obj/ccamview1.0.0/ && $(COPY_FILE) --parents FeuillePrincipale.ui Dlg_SigemsLogin.ui Dlg_login.ui Dlg_Praticiens.ui Dlg_PatientActeProperty.ui Dlg_Categories.ui DlgPrint.ui Dlg_MyAlertBox.ui Dlg_ChargeMAJCCAM.ui obj/ccamview1.0.0/ && $(COPY_FILE) --parents FeuillePrincipale.h Dlg_SigemsLogin.h Dlg_login.h Dlg_Praticiens.h Dlg_PatientActeProperty.h Dlg_Categories.h DlgPrint.h Dlg_MyAlertBox.h Dlg_ChargeMAJCCAM.h obj/ccamview1.0.0/ && $(COPY_FILE) --parents ccamview_fr.ts obj/ccamview1.0.0/ && (cd `dirname obj/ccamview1.0.0` && $(TAR) ccamview1.0.0.tar ccamview1.0.0 && $(COMPRESS) ccamview1.0.0.tar) && $(MOVE) `dirname obj/ccamview1.0.0`/ccamview1.0.0.tar.gz . && $(DEL_FILE) -r obj/ccamview1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_CPrinter.cpp moc/moc_CMaskedLineEdit.cpp moc/moc_C_Dlg_Categories.cpp moc/moc_C_Dlg_ChangeMAJCCAM.cpp moc/moc_C_Dlg_login.cpp moc/moc_C_Dlg_MyAlertBox.cpp moc/moc_C_Dlg_PatientActeProperty.cpp moc/moc_C_Dlg_Praticiens.cpp moc/moc_C_Dlg_Print.cpp moc/moc_C_Dlg_SigemsLogin.cpp moc/moc_C_Dlg_FeuillePrincipale.cpp moc/moc_C_Dlg4_About.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_CPrinter.cpp moc/moc_CMaskedLineEdit.cpp moc/moc_C_Dlg_Categories.cpp moc/moc_C_Dlg_ChangeMAJCCAM.cpp moc/moc_C_Dlg_login.cpp moc/moc_C_Dlg_MyAlertBox.cpp moc/moc_C_Dlg_PatientActeProperty.cpp moc/moc_C_Dlg_Praticiens.cpp moc/moc_C_Dlg_Print.cpp moc/moc_C_Dlg_SigemsLogin.cpp moc/moc_C_Dlg_FeuillePrincipale.cpp moc/moc_C_Dlg4_About.cpp
moc/moc_CPrinter.cpp: CPrinter.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) CPrinter.h -o moc/moc_CPrinter.cpp

moc/moc_CMaskedLineEdit.cpp: CMaskedLineEdit.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) CMaskedLineEdit.h -o moc/moc_CMaskedLineEdit.cpp

moc/moc_C_Dlg_Categories.cpp: Dlg_Categories.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		C_Dlg_Categories.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_Categories.h -o moc/moc_C_Dlg_Categories.cpp

moc/moc_C_Dlg_ChangeMAJCCAM.cpp: Global.h \
		CGestIni.h \
		CMoteurCCAM_Base.h \
		Dlg_ChargeMAJCCAM.h \
		C_Dlg_ChangeMAJCCAM.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_ChangeMAJCCAM.h -o moc/moc_C_Dlg_ChangeMAJCCAM.cpp

moc/moc_C_Dlg_login.cpp: Dlg_login.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		Dlg_Praticiens.h \
		C_Dlg_login.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_login.h -o moc/moc_C_Dlg_login.cpp

moc/moc_C_Dlg_MyAlertBox.cpp: Dlg_MyAlertBox.h \
		C_Dlg_MyAlertBox.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_MyAlertBox.h -o moc/moc_C_Dlg_MyAlertBox.cpp

moc/moc_C_Dlg_PatientActeProperty.cpp: Dlg_PatientActeProperty.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		C_Dlg_PatientActeProperty.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_PatientActeProperty.h -o moc/moc_C_Dlg_PatientActeProperty.cpp

moc/moc_C_Dlg_Praticiens.cpp: Dlg_Praticiens.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		C_Dlg_Praticiens.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_Praticiens.h -o moc/moc_C_Dlg_Praticiens.cpp

moc/moc_C_Dlg_Print.cpp: DlgPrint.h \
		CPrinter.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		C_Dlg_Print.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_Print.h -o moc/moc_C_Dlg_Print.cpp

moc/moc_C_Dlg_SigemsLogin.cpp: Dlg_SigemsLogin.h \
		C_Dlg_SigemsLogin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_SigemsLogin.h -o moc/moc_C_Dlg_SigemsLogin.cpp

moc/moc_C_Dlg_FeuillePrincipale.cpp: FeuillePrincipale.h \
		CMaskedLineEdit.h \
		TempActeXPM.xpm \
		ValidActeXPM.xpm \
		NewActeXPM.xpm \
		ModifActeXPM.xpm \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		CSoapInterface.h \
		LivreFerme.xpm \
		LivreOuvert.xpm \
		Dlg_SigemsLogin.h \
		Dlg_Praticiens.h \
		Dlg_Categories.h \
		Dlg_PatientActeProperty.h \
		DlgPrint.h \
		Dlg_MyAlertBox.h \
		Dlg_ChargeMAJCCAM.h \
		C_Dlg_FeuillePrincipale.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg_FeuillePrincipale.h -o moc/moc_C_Dlg_FeuillePrincipale.cpp

moc/moc_C_Dlg4_About.cpp: C_Dlg4_About.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) C_Dlg4_About.h -o moc/moc_C_Dlg4_About.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_C_Dlg4_About.h
compiler_uic_clean:
	-$(DEL_FILE) ui_C_Dlg4_About.h
ui_C_Dlg4_About.h: C_Dlg4_About.ui
	/usr/bin/uic-qt4 C_Dlg4_About.ui -o ui_C_Dlg4_About.h

compiler_uic3_decl_make_all: FeuillePrincipale.h Dlg_SigemsLogin.h Dlg_login.h Dlg_Praticiens.h Dlg_PatientActeProperty.h Dlg_Categories.h DlgPrint.h Dlg_MyAlertBox.h Dlg_ChargeMAJCCAM.h
compiler_uic3_decl_clean:
	-$(DEL_FILE) FeuillePrincipale.h Dlg_SigemsLogin.h Dlg_login.h Dlg_Praticiens.h Dlg_PatientActeProperty.h Dlg_Categories.h DlgPrint.h Dlg_MyAlertBox.h Dlg_ChargeMAJCCAM.h
FeuillePrincipale.h: ../../MedinTuxTools/CMaskedLineEdit.h \
		FeuillePrincipale.ui
	/usr/bin/uic3 FeuillePrincipale.ui -o FeuillePrincipale.h

Dlg_SigemsLogin.h: Dlg_SigemsLogin.ui
	/usr/bin/uic3 Dlg_SigemsLogin.ui -o Dlg_SigemsLogin.h

Dlg_login.h: Dlg_login.ui
	/usr/bin/uic3 Dlg_login.ui -o Dlg_login.h

Dlg_Praticiens.h: CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		Dlg_Praticiens.ui
	/usr/bin/uic3 Dlg_Praticiens.ui -o Dlg_Praticiens.h

Dlg_PatientActeProperty.h: Dlg_PatientActeProperty.ui
	/usr/bin/uic3 Dlg_PatientActeProperty.ui -o Dlg_PatientActeProperty.h

Dlg_Categories.h: Dlg_Categories.ui
	/usr/bin/uic3 Dlg_Categories.ui -o Dlg_Categories.h

DlgPrint.h: DlgPrint.ui
	/usr/bin/uic3 DlgPrint.ui -o DlgPrint.h

Dlg_MyAlertBox.h: Dlg_MyAlertBox.ui
	/usr/bin/uic3 Dlg_MyAlertBox.ui -o Dlg_MyAlertBox.h

Dlg_ChargeMAJCCAM.h: Dlg_ChargeMAJCCAM.ui
	/usr/bin/uic3 Dlg_ChargeMAJCCAM.ui -o Dlg_ChargeMAJCCAM.h

compiler_uic3_impl_make_all: FeuillePrincipale.cpp Dlg_SigemsLogin.cpp Dlg_login.cpp Dlg_Praticiens.cpp Dlg_PatientActeProperty.cpp Dlg_Categories.cpp DlgPrint.cpp Dlg_MyAlertBox.cpp Dlg_ChargeMAJCCAM.cpp
compiler_uic3_impl_clean:
	-$(DEL_FILE) FeuillePrincipale.cpp Dlg_SigemsLogin.cpp Dlg_login.cpp Dlg_Praticiens.cpp Dlg_PatientActeProperty.cpp Dlg_Categories.cpp DlgPrint.cpp Dlg_MyAlertBox.cpp Dlg_ChargeMAJCCAM.cpp
FeuillePrincipale.cpp: ../../MedinTuxTools/CMaskedLineEdit.h \
		FeuillePrincipale.ui \
		FeuillePrincipale.h
	/usr/bin/uic3 -impl FeuillePrincipale.h FeuillePrincipale.ui -o FeuillePrincipale.cpp

Dlg_SigemsLogin.cpp: Dlg_SigemsLogin.ui \
		Dlg_SigemsLogin.h
	/usr/bin/uic3 -impl Dlg_SigemsLogin.h Dlg_SigemsLogin.ui -o Dlg_SigemsLogin.cpp

Dlg_login.cpp: Dlg_login.ui \
		Dlg_login.h
	/usr/bin/uic3 -impl Dlg_login.h Dlg_login.ui -o Dlg_login.cpp

Dlg_Praticiens.cpp: CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		Dlg_Praticiens.ui \
		Dlg_Praticiens.h
	/usr/bin/uic3 -impl Dlg_Praticiens.h Dlg_Praticiens.ui -o Dlg_Praticiens.cpp

Dlg_PatientActeProperty.cpp: Dlg_PatientActeProperty.ui \
		Dlg_PatientActeProperty.h
	/usr/bin/uic3 -impl Dlg_PatientActeProperty.h Dlg_PatientActeProperty.ui -o Dlg_PatientActeProperty.cpp

Dlg_Categories.cpp: Dlg_Categories.ui \
		Dlg_Categories.h
	/usr/bin/uic3 -impl Dlg_Categories.h Dlg_Categories.ui -o Dlg_Categories.cpp

DlgPrint.cpp: DlgPrint.ui \
		DlgPrint.h
	/usr/bin/uic3 -impl DlgPrint.h DlgPrint.ui -o DlgPrint.cpp

Dlg_MyAlertBox.cpp: Dlg_MyAlertBox.ui \
		Dlg_MyAlertBox.h
	/usr/bin/uic3 -impl Dlg_MyAlertBox.h Dlg_MyAlertBox.ui -o Dlg_MyAlertBox.cpp

Dlg_ChargeMAJCCAM.cpp: Dlg_ChargeMAJCCAM.ui \
		Dlg_ChargeMAJCCAM.h
	/usr/bin/uic3 -impl Dlg_ChargeMAJCCAM.h Dlg_ChargeMAJCCAM.ui -o Dlg_ChargeMAJCCAM.cpp

compiler_uic3_moc_make_all: moc/moc_FeuillePrincipale.cpp moc/moc_Dlg_SigemsLogin.cpp moc/moc_Dlg_login.cpp moc/moc_Dlg_Praticiens.cpp moc/moc_Dlg_PatientActeProperty.cpp moc/moc_Dlg_Categories.cpp moc/moc_DlgPrint.cpp moc/moc_Dlg_MyAlertBox.cpp moc/moc_Dlg_ChargeMAJCCAM.cpp
compiler_uic3_moc_clean:
	-$(DEL_FILE) moc/moc_FeuillePrincipale.cpp moc/moc_Dlg_SigemsLogin.cpp moc/moc_Dlg_login.cpp moc/moc_Dlg_Praticiens.cpp moc/moc_Dlg_PatientActeProperty.cpp moc/moc_Dlg_Categories.cpp moc/moc_DlgPrint.cpp moc/moc_Dlg_MyAlertBox.cpp moc/moc_Dlg_ChargeMAJCCAM.cpp
moc/moc_FeuillePrincipale.cpp: CMaskedLineEdit.h \
		FeuillePrincipale.h \
		FeuillePrincipale.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) FeuillePrincipale.h -o moc/moc_FeuillePrincipale.cpp

moc/moc_Dlg_SigemsLogin.cpp: Dlg_SigemsLogin.h \
		Dlg_SigemsLogin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_SigemsLogin.h -o moc/moc_Dlg_SigemsLogin.cpp

moc/moc_Dlg_login.cpp: Dlg_login.h \
		Dlg_login.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_login.h -o moc/moc_Dlg_login.cpp

moc/moc_Dlg_Praticiens.cpp: CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		Dlg_Praticiens.h \
		Dlg_Praticiens.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_Praticiens.h -o moc/moc_Dlg_Praticiens.cpp

moc/moc_Dlg_PatientActeProperty.cpp: Dlg_PatientActeProperty.h \
		Dlg_PatientActeProperty.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_PatientActeProperty.h -o moc/moc_Dlg_PatientActeProperty.cpp

moc/moc_Dlg_Categories.cpp: Dlg_Categories.h \
		Dlg_Categories.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_Categories.h -o moc/moc_Dlg_Categories.cpp

moc/moc_DlgPrint.cpp: DlgPrint.h \
		DlgPrint.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) DlgPrint.h -o moc/moc_DlgPrint.cpp

moc/moc_Dlg_MyAlertBox.cpp: Dlg_MyAlertBox.h \
		Dlg_MyAlertBox.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_MyAlertBox.h -o moc/moc_Dlg_MyAlertBox.cpp

moc/moc_Dlg_ChargeMAJCCAM.cpp: Dlg_ChargeMAJCCAM.h \
		Dlg_ChargeMAJCCAM.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) Dlg_ChargeMAJCCAM.h -o moc/moc_Dlg_ChargeMAJCCAM.cpp

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean compiler_uic3_decl_clean compiler_uic3_impl_clean compiler_uic3_moc_clean 

####### Compile

obj/main.o: main.cpp Global.h \
		CGestIni.h \
		C_Dlg_FeuillePrincipale.h \
		FeuillePrincipale.h \
		CMaskedLineEdit.h \
		TempActeXPM.xpm \
		ValidActeXPM.xpm \
		NewActeXPM.xpm \
		ModifActeXPM.xpm \
		CMoteurCCAM_Base.h \
		CSoapInterface.h \
		LivreFerme.xpm \
		LivreOuvert.xpm \
		Dlg_SigemsLogin.h \
		Dlg_Praticiens.h \
		Dlg_Categories.h \
		Dlg_PatientActeProperty.h \
		DlgPrint.h \
		Dlg_MyAlertBox.h \
		Dlg_ChargeMAJCCAM.h \
		C_Dlg_login.h \
		Dlg_login.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o main.cpp

obj/CMoteurCCAM_Base.o: CMoteurCCAM_Base.cpp Global.h \
		CGestIni.h \
		CMoteurCCAM_Base.h \
		LivreFerme.xpm
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CMoteurCCAM_Base.o CMoteurCCAM_Base.cpp

obj/CSaopInterface.o: CSaopInterface.cpp CSoapInterface.h \
		CGestIni.h \
		Global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CSaopInterface.o CSaopInterface.cpp

obj/CPrinter.o: CPrinter.cpp CPrinter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CPrinter.o CPrinter.cpp

obj/C_Dlg_Categories.o: C_Dlg_Categories.cpp C_Dlg_Categories.h \
		Dlg_Categories.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_Categories.o C_Dlg_Categories.cpp

obj/C_Dlg_ChangeMAJCCAM.o: C_Dlg_ChangeMAJCCAM.cpp C_Dlg_ChangeMAJCCAM.h \
		Global.h \
		CGestIni.h \
		CMoteurCCAM_Base.h \
		Dlg_ChargeMAJCCAM.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_ChangeMAJCCAM.o C_Dlg_ChangeMAJCCAM.cpp

obj/C_Dlg_login.o: C_Dlg_login.cpp C_Dlg_login.h \
		Dlg_login.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		Dlg_Praticiens.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_login.o C_Dlg_login.cpp

obj/C_Dlg_MyAlertBox.o: C_Dlg_MyAlertBox.cpp C_Dlg_MyAlertBox.h \
		Dlg_MyAlertBox.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_MyAlertBox.o C_Dlg_MyAlertBox.cpp

obj/C_Dlg_PatientActeProperty.o: C_Dlg_PatientActeProperty.cpp C_Dlg_PatientActeProperty.h \
		Dlg_PatientActeProperty.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_PatientActeProperty.o C_Dlg_PatientActeProperty.cpp

obj/C_Dlg_Praticiens.o: C_Dlg_Praticiens.cpp C_Dlg_Praticiens.h \
		Dlg_Praticiens.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_Praticiens.o C_Dlg_Praticiens.cpp

obj/C_Dlg_Print.o: C_Dlg_Print.cpp C_Dlg_Print.h \
		DlgPrint.h \
		CPrinter.h \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_Print.o C_Dlg_Print.cpp

obj/C_Dlg_SigemsLogin.o: C_Dlg_SigemsLogin.cpp C_Dlg_SigemsLogin.h \
		Dlg_SigemsLogin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_SigemsLogin.o C_Dlg_SigemsLogin.cpp

obj/C_Dlg_FeuillePrincipale.o: C_Dlg_FeuillePrincipale.cpp C_Dlg_FeuillePrincipale.h \
		FeuillePrincipale.h \
		CMaskedLineEdit.h \
		TempActeXPM.xpm \
		ValidActeXPM.xpm \
		NewActeXPM.xpm \
		ModifActeXPM.xpm \
		CMoteurCCAM_Base.h \
		Global.h \
		CGestIni.h \
		CSoapInterface.h \
		LivreFerme.xpm \
		LivreOuvert.xpm \
		Dlg_SigemsLogin.h \
		Dlg_Praticiens.h \
		Dlg_Categories.h \
		Dlg_PatientActeProperty.h \
		DlgPrint.h \
		Dlg_MyAlertBox.h \
		Dlg_ChargeMAJCCAM.h \
		C_Dlg_ChangeMAJCCAM.h \
		C_Dlg_PatientActeProperty.h \
		C_Dlg_Print.h \
		CPrinter.h \
		C_Dlg4_About.h \
		C_Dlg_Categories.h \
		C_Dlg_SigemsLogin.h \
		C_Dlg_MyAlertBox.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg_FeuillePrincipale.o C_Dlg_FeuillePrincipale.cpp

obj/CMaskedLineEdit.o: CMaskedLineEdit.cpp CMaskedLineEdit.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CMaskedLineEdit.o CMaskedLineEdit.cpp

obj/CGestIni.o: CGestIni.cpp CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CGestIni.o CGestIni.cpp

obj/C_Dlg4_About.o: C_Dlg4_About.cpp C_Dlg4_About.h \
		ui_C_Dlg4_About.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_Dlg4_About.o C_Dlg4_About.cpp

obj/moc_CPrinter.o: moc/moc_CPrinter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_CPrinter.o moc/moc_CPrinter.cpp

obj/moc_CMaskedLineEdit.o: moc/moc_CMaskedLineEdit.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_CMaskedLineEdit.o moc/moc_CMaskedLineEdit.cpp

obj/moc_C_Dlg_Categories.o: moc/moc_C_Dlg_Categories.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_Categories.o moc/moc_C_Dlg_Categories.cpp

obj/moc_C_Dlg_ChangeMAJCCAM.o: moc/moc_C_Dlg_ChangeMAJCCAM.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_ChangeMAJCCAM.o moc/moc_C_Dlg_ChangeMAJCCAM.cpp

obj/moc_C_Dlg_login.o: moc/moc_C_Dlg_login.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_login.o moc/moc_C_Dlg_login.cpp

obj/moc_C_Dlg_MyAlertBox.o: moc/moc_C_Dlg_MyAlertBox.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_MyAlertBox.o moc/moc_C_Dlg_MyAlertBox.cpp

obj/moc_C_Dlg_PatientActeProperty.o: moc/moc_C_Dlg_PatientActeProperty.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_PatientActeProperty.o moc/moc_C_Dlg_PatientActeProperty.cpp

obj/moc_C_Dlg_Praticiens.o: moc/moc_C_Dlg_Praticiens.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_Praticiens.o moc/moc_C_Dlg_Praticiens.cpp

obj/moc_C_Dlg_Print.o: moc/moc_C_Dlg_Print.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_Print.o moc/moc_C_Dlg_Print.cpp

obj/moc_C_Dlg_SigemsLogin.o: moc/moc_C_Dlg_SigemsLogin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_SigemsLogin.o moc/moc_C_Dlg_SigemsLogin.cpp

obj/moc_C_Dlg_FeuillePrincipale.o: moc/moc_C_Dlg_FeuillePrincipale.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg_FeuillePrincipale.o moc/moc_C_Dlg_FeuillePrincipale.cpp

obj/moc_C_Dlg4_About.o: moc/moc_C_Dlg4_About.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_Dlg4_About.o moc/moc_C_Dlg4_About.cpp

obj/FeuillePrincipale.o: FeuillePrincipale.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/FeuillePrincipale.o FeuillePrincipale.cpp

obj/Dlg_SigemsLogin.o: Dlg_SigemsLogin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_SigemsLogin.o Dlg_SigemsLogin.cpp

obj/Dlg_login.o: Dlg_login.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_login.o Dlg_login.cpp

obj/Dlg_Praticiens.o: Dlg_Praticiens.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_Praticiens.o Dlg_Praticiens.cpp

obj/Dlg_PatientActeProperty.o: Dlg_PatientActeProperty.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_PatientActeProperty.o Dlg_PatientActeProperty.cpp

obj/Dlg_Categories.o: Dlg_Categories.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_Categories.o Dlg_Categories.cpp

obj/DlgPrint.o: DlgPrint.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DlgPrint.o DlgPrint.cpp

obj/Dlg_MyAlertBox.o: Dlg_MyAlertBox.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_MyAlertBox.o Dlg_MyAlertBox.cpp

obj/Dlg_ChargeMAJCCAM.o: Dlg_ChargeMAJCCAM.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Dlg_ChargeMAJCCAM.o Dlg_ChargeMAJCCAM.cpp

obj/moc_FeuillePrincipale.o: moc/moc_FeuillePrincipale.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_FeuillePrincipale.o moc/moc_FeuillePrincipale.cpp

obj/moc_Dlg_SigemsLogin.o: moc/moc_Dlg_SigemsLogin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_SigemsLogin.o moc/moc_Dlg_SigemsLogin.cpp

obj/moc_Dlg_login.o: moc/moc_Dlg_login.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_login.o moc/moc_Dlg_login.cpp

obj/moc_Dlg_Praticiens.o: moc/moc_Dlg_Praticiens.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_Praticiens.o moc/moc_Dlg_Praticiens.cpp

obj/moc_Dlg_PatientActeProperty.o: moc/moc_Dlg_PatientActeProperty.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_PatientActeProperty.o moc/moc_Dlg_PatientActeProperty.cpp

obj/moc_Dlg_Categories.o: moc/moc_Dlg_Categories.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_Categories.o moc/moc_Dlg_Categories.cpp

obj/moc_DlgPrint.o: moc/moc_DlgPrint.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DlgPrint.o moc/moc_DlgPrint.cpp

obj/moc_Dlg_MyAlertBox.o: moc/moc_Dlg_MyAlertBox.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_MyAlertBox.o moc/moc_Dlg_MyAlertBox.cpp

obj/moc_Dlg_ChargeMAJCCAM.o: moc/moc_Dlg_ChargeMAJCCAM.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_Dlg_ChargeMAJCCAM.o moc/moc_Dlg_ChargeMAJCCAM.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

